Leo's Technical Blog

Flex Builder 2 on top of Eclipse 3.3

Introduction

user

Leo Soto


tips, flex, eclipse

Flex Builder 2 on top of Eclipse 3.3

Posted by Leo Soto on .
Featured

tips, flex, eclipse

Flex Builder 2 on top of Eclipse 3.3

Posted by Leo Soto on .

The Flex Builder installer does not like Eclipse 3.3. When you try to install it over eclipse, it says the destination folder is not valid.

I found some instructions on how to manually plug the FlexBuilder components in Eclipse 3.3, provided that you installed it as a stand alone application. But it contains a small, but important, error on the directory layout, because the "plugins" and "features" directories must be inside "your-new-extension-point/eclipse". That is, the directory structure inside the extension point should be:

./
 /eclipse
 /eclipse/.eclipseextension
 /eclipse/plugins
 /eclipse/features

Other than that, everything went OK following the instruction of the article. The only other different thing I did was to only copy the com.adobe.* plugins and features. But it worked either way.